<!--
Please complete as much of this template as you can when you submit your issue.

This description should be regularly edited to capture the current state
and plan regarding this issue. Use comments to discuss and propose and/or
document changes to this description, labels, etc.
-->

## License and Copyright Notice

By submitting this issue or commenting on this issue, or contributing any content to this issue, you certify under the [Developer Certificate of Origin](https://developercertificate.org/) that the content you post may be licensed under [GPLv3](https://www.gnu.org/licenses/gpl-3.0.en.html) (for code) or [CC-BY-SA 4.0 International](https://creativecommons.org/licenses/by-sa/4.0/) (for non-code content).

## What is the goal or the problem, and why is it important?
<!--
- If this is related to an epic, link to the epic here.
- If this is related to an issue, after this issue has been created, add the
  other as a related issue in the appropriate box.
-->

## How are you going to acheive the goal or solve the problem?

## What will be produced as a result of this effort and where will it live on GitLab?
<!--
Examples:
- A list of URLs to the resources found in a comment on this issue.
- Code testing dockerfiles in a branch named spike-docker-experiment and an
  associated merge request.
-->

## Give a justification of weight or due date.
<!--
Assign a weight to this issue or a due date or both. In this section justify your estimate.
-->

## Who will do it, and what will they do?
<!-- Assign them to this issue. -->

## What was the outcome?
<!--
Include relevant resources, lessons learned, link to merge requests (prefix branch names with "spike-").
-->

## Template Version 1.0.0
<!--
This is the version of the template being used.
-->

/label type::spike

